       cbl dll,thread,rent,pgmname(longmixed)
       Identification division.
       Program-id. "TestAccounts" recursive.
       Environment division.
       Configuration section.
       Repository.
           Class Account         is "Account"
           Class CheckingAccount is "CheckingAccount"
           Class Check           is "Check".
       Data Division.
       Local-storage section.
       01  anAccount        usage object reference Account.
       01  aCheckingAccount usage object reference CheckingAccount.
       01  aCheck           usage object reference Check.
       01  payee            usage object reference Account.
       Procedure division.
       Test-Account-section.
           Display "Test Account class"
           Invoke Account "createAccount"
             using by value 123456
             returning anAccount
           Invoke anAccount "credit" using by value 500
           Invoke anAccount "print"
           Display space

           Display "Test CheckingAccount class"
           Invoke CheckingAccount "createCheckingAccount"
             using by value 777777 300
             returning aCheckingAccount
           Set payee to anAccount
           Invoke Check New
             using by value aCheckingAccount, payee, 125
             returning aCheck
           Invoke aCheckingAccount "processCheck"
             using by value aCheck
           Invoke aCheckingAccount "print"
           Invoke anAccount "print"

           Goback.
       End program "TestAccounts".

